.TH wxChoice 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxChoice \- See external documentation: wxChoice\&.
.SH DESCRIPTION
.LP
See external documentation: wxChoice <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxchoice\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxControlWithItems 
.br
wxControl 
.br
wxWindow 
.br
wxEvtHandler 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxChoice()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxChoice()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxchoice\&.html#wxchoicewxchoice>\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Id::integer()) -> wxChoice()
.br
.RS
.LP
Equivalent to new(Parent, Id, [])\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Id::integer(), Options::[Option]) -> wxChoice()
.br
.RS
.TP
Types
Option = {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {choices, [[string()]]} | {style, integer()} | {validator, wx() (see module wx)}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxchoice\&.html#wxchoicewxchoice>\&.
.RE
.LP
.B
create(This::wxChoice(), Parent::wxWindow() (see module wxWindow), Id::integer(), Pos::{X::integer(), Y::integer()}, Size::{W::integer(), H::integer()}, Choices::[[string()]]) -> bool()
.br
.RS
.LP
Equivalent to create(This, Parent, Id, Pos, Size, Choices, [])\&.
.RE
.LP
.B
create(This::wxChoice(), Parent::wxWindow() (see module wxWindow), Id::integer(), Pos::{X::integer(), Y::integer()}, Size::{W::integer(), H::integer()}, Choices::[[string()]], Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {style, integer()} | {validator, wx() (see module wx)}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxchoice\&.html#wxchoicecreate>\&.
.RE
.LP
.B
delete(This::wxChoice(), N::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxchoice\&.html#wxchoicedelete>\&.
.RE
.LP
.B
getColumns(This::wxChoice()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxchoice\&.html#wxchoicegetcolumns>\&.
.RE
.LP
.B
setColumns(This::wxChoice()) -> ok
.br
.RS
.LP
Equivalent to setColumns(This, [])\&.
.RE
.LP
.B
setColumns(This::wxChoice(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {n, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxchoice\&.html#wxchoicesetcolumns>\&.
.RE
.LP
.B
destroy(This::wxChoice()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
